*********************************************************************
****************DEBT AND CONSUMPTION - SUMMARY STATS*****************
*************************DATE: MAY 2019 *****************************
********************* AUTHOR: FIONA PRICE ***************************
*********************************************************************
clear
set more off
use "C:\UnbalancedHH_analytical NEW.dta", replace
sort hhid0 wave

gen expr= nondurexp/cpi*100
gen durabler=durable/cpi*100
gen consumpr=consump/cpi*100
gen incr=inc/cpi*100
gen hdebtr=hdebt/cpi*100
gen hequityr=hequity/cpi*100


*************
***TABLE C1***
*************
mat TableC1 = J(29,6,.)
mat rown TableC1 = Age1 Age2 Age3 Employed Unemployed NILF Casual Losejob Becunemp Married Adults Kids Educ1 Educ2 Educ3 Lcons Htm Htm_adj Behind Inc Exp Durable Consump Hdebt Hequity Postboom hdebtinc debtasset mortinc
mat coln TableC1 = mean p50 sd mean p50 sd

**indebted households only
//mean
local i=1
foreach x in agevar1 agevar2 agevar3 emp unemp nilf casual losejob becunemp married adults kids educvar1 educvar2 educvar3 lcons htm htm_adj behindnew1 incr expr durabler consumpr hdebtr hequityr postboom hdebtinc debtasset mortinc{
xi: tabstat `x' if L.hdebt>0 & touse==1 & touse2==1 & touse3==1 & wave>=6 & wave<=10, stat(mean) save
mat TableC1[`i',1] = r(StatTotal)
local i= `i'+1
}
//median
local i=1
foreach x in agevar1 agevar2 agevar3 emp unemp nilf casual losejob becunemp married adults kids educvar1 educvar2 educvar3 lcons htm htm_adj behindnew1 incr expr durabler consumpr hdebtr hequityr postboom hdebtinc debtasset mortinc{
xi: tabstat `x' if L.hdebt>0 & touse==1 & touse2==1 & touse3==1 & wave>=6 & wave<=10, stat(p50) save
mat TableC1[`i',2] = r(StatTotal)
local i= `i'+1
}
//sd
local i=1
foreach x in agevar1 agevar2 agevar3 emp unemp nilf casual losejob becunemp married adults kids educvar1 educvar2 educvar3 lcons htm htm_adj behindnew1 incr expr durabler consumpr hdebtr hequityr postboom hdebtinc debtasset mortinc{
xi: tabstat `x' if L.hdebt>0 & touse==1 & touse2==1 & touse3==1 & wave>=6 & wave<=10, stat(sd) save
mat TableC1[`i',3] = r(StatTotal)
local i= `i'+1
}

**all households
//mean
local i=1
foreach x in agevar1 agevar2 agevar3 emp unemp nilf casual losejob becunemp married adults kids educvar1 educvar2 educvar3 lcons htm htm_adj behindnew1 incr expr durabler consumpr hdebtr hequityr postboom hdebtinc debtasset mortinc{
xi: tabstat `x' if (L.hdebt==0|L.hdebt==.) & touse==1 & touse2==1 & touse3==1 & wave>=6 & wave<=10, stat(mean) save
mat TableC1[`i',4] = r(StatTotal)
local i= `i'+1
}
//median
local i=1
foreach x in agevar1 agevar2 agevar3 emp unemp nilf casual losejob becunemp married adults kids educvar1 educvar2 educvar3 lcons htm htm_adj behindnew1 incr expr durabler consumpr hdebtr hequityr postboom hdebtinc debtasset mortinc{
xi: tabstat `x' if (L.hdebt==0|L.hdebt==.) & touse==1 & touse2==1 & touse3==1 & wave>=6 & wave<=10, stat(p50) save
mat TableC1[`i',5] = r(StatTotal)
local i= `i'+1
}
//sd
local i=1
foreach x in agevar1 agevar2 agevar3 emp unemp nilf casual losejob becunemp married adults kids educvar1 educvar2 educvar3 lcons htm htm_adj behindnew1 incr expr durabler consumpr hdebtr hequityr postboom hdebtinc debtasset mortinc{
xi: tabstat `x' if (L.hdebt==0|L.hdebt==.) & touse==1 & touse2==1 & touse3==1 & wave>=6 & wave<=10, stat(sd) save
mat TableC1[`i',6] = r(StatTotal)
local i= `i'+1
}

matlist TableC1
